Package org.apache.activemq.artemis.selector.hyphenated

## Class HyphenatedParser

- java.lang.Object
- - org.apache.activemq.artemis.selector.hyphenated.HyphenatedParser

- All Implemented Interfaces:
    `HyphenatedParserConstants`

      public class HyphenatedParser
      extends java.lang.Object
      implements HyphenatedParserConstants

  JMS Selector Parser generated by JavaCC Do not edit this .java file directly - it is autogenerated from HyphenatedParser.jj

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Token` | `jj_nt` | Next token.
    `Token` | `token` | Current token.
    `HyphenatedParserTokenManager` | `token_source` | Generated Token Manager.

    - ### Fields inherited from interface org.apache.activemq.artemis.selector.hyphenated.HyphenatedParserConstants

      `AND, BETWEEN, BLOCK_COMMENT, DECIMAL_LITERAL, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, HEX_LITERAL, ID, IN, IS, LIKE, LINE_COMMENT, NOT, NULL, OCTAL_LITERAL, OR, STRING_LITERAL, tokenImage, TRUE, XPATH, XQUERY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HyphenatedParser​(java.io.InputStream stream)` | Constructor with InputStream.
    `HyphenatedParser​(java.io.InputStream stream, java.lang.String encoding)` | Constructor with InputStream and supplied encoding
    `HyphenatedParser​(java.io.Reader stream)` | Constructor.
    `HyphenatedParser​(HyphenatedParserTokenManager tm)` | Constructor with generated Token Manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `addExpression()` |
    `Expression` | `andExpression()` |
    `Expression` | `comparisonExpression()` |
    `void` | `disable_tracing()` | Disable tracing.
    `void` | `enable_tracing()` | Enable tracing.
    `Expression` | `equalityExpression()` |
    `ParseException` | `generateParseException()` | Generate ParseException.
    `Token` | `getNextToken()` | Get the next Token.
    `Token` | `getToken​(int index)` | Get the specific Token.
    `BooleanExpression` | `JmsSelector()` |
    `ConstantExpression` | `literal()` |
    `Expression` | `multExpr()` |
    `Expression` | `orExpression()` |
    `Expression` | `primaryExpr()` |
    `void` | `ReInit​(java.io.InputStream stream)` | Reinitialise.
    `void` | `ReInit​(java.io.InputStream stream, java.lang.String encoding)` | Reinitialise.
    `void` | `ReInit​(java.io.Reader stream)` | Reinitialise.
    `void` | `ReInit​(HyphenatedParserTokenManager tm)` | Reinitialise.
    `java.lang.String` | `stringLitteral()` |
    `Expression` | `unaryExpr()` |
    `PropertyExpression` | `variable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token_source

          public HyphenatedParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### HyphenatedParser

          public HyphenatedParser​(java.io.InputStream stream)

      Constructor with InputStream.

    - #### HyphenatedParser

          public HyphenatedParser​(java.io.InputStream stream,
                                  java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### HyphenatedParser

          public HyphenatedParser​(java.io.Reader stream)

      Constructor.

    - #### HyphenatedParser

          public HyphenatedParser​(HyphenatedParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### JmsSelector

          public final BooleanExpression JmsSelector()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### orExpression

          public final Expression orExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### andExpression

          public final Expression andExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### equalityExpression

          public final Expression equalityExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### comparisonExpression

          public final Expression comparisonExpression()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### addExpression

          public final Expression addExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### multExpr

          public final Expression multExpr()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### unaryExpr

          public final Expression unaryExpr()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### primaryExpr

          public final Expression primaryExpr()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### literal

          public final ConstantExpression literal()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### stringLitteral

          public final java.lang.String stringLitteral()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### variable

          public final PropertyExpression variable()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit​(java.io.InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.InputStream stream,
                             java.lang.String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(HyphenatedParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken​(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.